Package ru.bitel.bgbilling.modules.reports.server.bean.filter

# Class ReportUseDynamicClassFiller

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.reports.server.bean.filter.ReportUseDynamicClassFiller

All Implemented Interfaces:
  `ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.CSVFillerData`

public abstract class ReportUseDynamicClassFiller extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.CSVFillerData

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportUseDynamicClassFiller()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fillReport(Connection con, BGReportFilter filter, BGReportTemplate.ReportResult result)`
  `void`
  `fillReport(Connection con, BGReportFilter filter, ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.ReportResult result)`
  `protected abstract void`
  `fillReportImpl(Connection con, BGReportFilter filter, List<Map<String,String>> fields, Map<String,String> params)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReportUseDynamicClassFiller

    public ReportUseDynamicClassFiller()

- ## Method Details

  - ### fillReport

    public void fillReport(Connection con, BGReportFilter filter, ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.ReportResult result) throws Exception
    Specified by:
      `fillReport` in interface `ru.bitel.bgbilling.modules.reports.server.report.BGCSVReport.CSVFillerData`
    Throws:
      `Exception`

  - ### fillReport

    public void fillReport(Connection con, BGReportFilter filter, BGReportTemplate.ReportResult result) throws Exception
    Throws:
      `Exception`

  - ### fillReportImpl

    protected abstract void fillReportImpl(Connection con, BGReportFilter filter, List<Map<String,String>> fields, Map<String,String> params) throws Exception
    Throws:
      `Exception`